#
# spec file for package winex3 (Version 3.2)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  glib xdelta

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext glib gnome-filesystem libtool perl rpm xdelta

Name:         winex3
Version:      3.2
Release:      55.3
Summary:      A commercial version of WINE specifically enhanced for games.
Group:        Amusements/Games/Other
URL:          www.transgaming.com
License:      Commercial
Source0:      %name-%version-1.i386.rpm
Source1:      Point2Play_SUSE-1.1.2-1.i386.rpm
Source2:      add_point2play
Patch0:       winex.patch
Patch1:       libntdll.pthread.xdelta
Patch2:       libntdll.nopthread.xdelta
NoSource:     0
NoSource:     1
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Requires:     python-gnome python-gtk python-numeric
# AutoReqProv:  no
# Requires:     libGL.so.1 libGLU.so.1 libICE.so.6 libSM.so.6 libX11.so.6 libXext.so.6 libXft.so.1 libXrender.so.1 libasound.so.2 libc.so.6 libcrypt.so.1 libdb.so.2 libdl.so.2 libfreetype.so.6 libjpeg.so.62 libm.so.6 libnsl.so.1 libpthread.so.0 libtiff.so.3 libutil.so.1 libz.so.1 

%description
This package contains TransGaming Technologies Inc.'s WineX, an
extended version of the popular Wine project, with extra support for
games.



Authors:
--------
    The WINE Authors <http://winehq.org/>
    Transgaming <http://www.transgaming.com/>


%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT
mkdir x
pushd $RPM_BUILD_ROOT 
	rpm2cpio %{SOURCE0} | cpio -idm
	rpm2cpio %{SOURCE1} | cpio -idm
	pushd usr/lib/transgaming_point2play
		patch -p0 <%{PATCH0}
	popd
	pushd usr/lib/transgaming_winex3/winex/pthread_lib/
		xdelta patch %{PATCH1} libntdll.so libntdll.so.new
		mv libntdll.so.new libntdll.so
	popd
	pushd usr/lib/transgaming_winex3/winex/lib/
		xdelta patch %{PATCH2} libntdll.so libntdll.so.new
		mv libntdll.so.new libntdll.so
	popd
	pushd usr/bin/
		ln -s winex* winex
	popd
	find . -name CVS |xargs rm -rf
	mv usr/share/gnome/apps/* usr/share/applications/
	rmdir usr/share/gnome/apps
	rmdir usr/share/gnome
	find . -type d -print0 |xargs -0 chmod ugo+rx
	find . -type f -print0 |xargs -0 chmod ugo+r
	# Both methods are no longer used on SUSE 9.0, we use XDG menus.
	rm -rf etc/X11/applnk
	rm -rf etc/X11/susewm
	# Put it into the Root Games menu.
	echo "Categories=X-SuSE-Core-Game;WineX;" >> usr/share/applications/Point2Play.desktop
	# Drop a script to copy it onto the users Desktop.
	mkdir -p opt/kde3/share/UnitedLinux/addon-scripts/
	cp %{SOURCE2} opt/kde3/share/UnitedLinux/addon-scripts/
	rm -rf usr/share/applications/WineX
popd
mv $RPM_BUILD_ROOT/usr/lib/transgaming_winex3/LICENSE.TXT x/
# already included now.
# mkdir -p $RPM_BUILD_ROOT/usr/lib/transgaming_point2play/locale/de/LC_MESSAGES/
# msgfmt %{SOURCE2} -o $RPM_BUILD_ROOT/usr/lib/transgaming_point2play/locale/de/LC_MESSAGES/p2p_localized_msg.mo

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc x/LICENSE.TXT
/usr/bin/winex*
/usr/bin/Point2Play
/usr/lib/transgaming_*
%dir /usr/lib/menu
/usr/lib/menu/Point2Play
/usr/share/applications/Point2Play.desktop
/usr/share/icons/Point2Play.xpm
/usr/share/pixmaps/Point2Play.xpm
# We do not require KDE3 to be installed.
%dir /opt/kde3/
%dir /opt/kde3/share/
%dir /opt/kde3/share/UnitedLinux/
%dir /opt/kde3/share/UnitedLinux/addon-scripts/
     /opt/kde3/share/UnitedLinux/addon-scripts/add_point2play

%changelog -n winex3
* Wed Apr 28 2004 - meissner@suse.de
- binary patch both libntdll.so to find "subfs" CD-ROMs
  (replacing "supermount" strings by "subfs").
* Tue Apr 27 2004 - meissner@suse.de
- fixed translation problem for 9.1 python/gtk.
- handle subfs based CD mounts better.
* Thu Nov 20 2003 - meissner@suse.de
- Newly created users do not have $HOME/Desktop, so
  we need to create it, or the icon will not make
  it there.
* Fri Nov 14 2003 - meissner@suse.de
- Upgraded to final 3.2 version of WineX and Point2Play.
* Mon Nov 03 2003 - meissner@suse.de
- put into toplevel SUSE Games menu.
- put onto desktop itself via dropin script.
- remove unnecessary menu entries and directories no longer
  used on 9.0.
* Thu Oct 30 2003 - meissner@suse.de
- Updated de.po.
- Upgraded to 3.2test-11.
- No more GNOME / GTK packages packed in.
- Added requires for python-gtk, python-gnome, python-numeric.
* Wed Oct 29 2003 - meissner@suse.de
- Upgrade to 3.2test-10.
- Named it winex3, like TransGaming does.
- Added Point2Play interface (complete with Python inside
  currently, we will see if TG accepts us dropping it).
- No more autoreqprov, or we confuse YaST2 too much.
- Added german translation of p2p po file.
* Mon Oct 27 2003 - meissner@suse.de
- packaged winex3.2 test8 for 9.0+
